## extcalllog 0.1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = extcalllog
PACKAGE = extcalllog
VERSION = 0.1

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/matrim/workspace/extcalllog/install-sh
# Automake >= 1.8 provides mkdir -p -- ..
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep ^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep ^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/main.c

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
extcalllog (0.1) unstable; urgency=low

  * First Release

 -- Thom Troy <ttroy50@gmail.com>  Thu, 28 Jan 2010 23:01:00 -0600

=== debian/control ===
Source: extcalllog
Section: user/other
Priority: optional
Maintainer: Thom Troy <ttroy50@gmail.com>
Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libgtk2.0-dev, libgconf2-dev,
               libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-glib-1-dev,  libhildonfm2-dev, osso-af-settings,
               libosso-dev, librtcom-eventlogger-dev, librtcom-eventlogger-ui-dev, libosso-abook-dev, maemo-optify
Standards-Version: 3.7.2

Package: extcalllog
Architecture: any
Depends: ${shlibs:Depends}
Description: View complete call history
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Extended%20Call%20Log
XB-Maemo-Display-Name: Extended Call Log
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBGhcZOjnQzv0AAAOZSURBVEjH7ZZdTJtVGMd/531LP6AdtFJghc2A
 fFQlYcGxoVPj3Fz8WGIyHSSKxGxoMnXGROOFiTMzM1uW6IVEd2GyC0I06pyB
 jfkx0eEyE5bpBIkskUiVjw3oSj9oafv2fY8XFSUZuAbwbv+b51yc5//L85yc
 5xxYjsp3Ou07Pr2XO49aALJfleB9gpVR9Z50rGguK2g6eXrLYZ+seP7sJ5S+
 s/qfPev3LRNS//bfkMZaZ9O3F7e2RuTLp6TxSmdU3r3v4jmq3q1eLFXNGPKC
 hON3QVnD9qw7XjrmubW+zJVrI0uVOO1m4S11rZEO+0O+2ZoexrqusL4Vxr9Y
 Auj8fvC+uEupeK7NUlznMFlVaTFJoShCICWKapKVZYXOUFzZ7Vfruo3ePSNL
 q+j21x8l9+GjivUWs8hShW42CUURICQpQyANRDimk+926n6/9nRY23Acf9fU
 XLpyXUBOazrmV/+MorXol08e0a8GSIQMxgOSUEzgMIHLDDNTETraz7aND002
 k1sQmG9jui4ouhc4UEHP4CNgzJA1a03lbEGxadxzm5m6csFN2aCqEA9InA7r
 +fDpBz8GYOMx6H08QxBQUlvTefDQVq9JKPqZ738UQ0GFlmYrigJirjUKjFok
 JHWV/FaBf6+cg2QMyi5yuDdttKJpqMO/myFbUFkM8fi8w1aRQxYpTMkUxFLX
 eGQE0swm6ZuCpA6RpEpkIkwiqJFI6hIUoaUMVFWI6FQUPZLQiGtySSAsJkan
 IZEEj7eKC32D7H5tAKkhRGxsxmUzn0KgTE/HI1fHQmcwYhlWVNdOwdpyJj+r
 T/ffLORYEBJJyaUpG/35NQRJYYRAGx0cp+/JxnTiwSyIa7D/Gkvxn4Xc1/mV
 Z417m+fmQllaXSqCUQhEITADkyFJLIjUfAPCCIeRmv8Soe5t/NY6spDXwvfo
 83SLE1eG33IV5QysW+cRJU6kxymlJ0/iXiVx2QXmHIFaUIWwZIdI/vrBYpDF
 J0N3D8qG95AXnvrj8kjJl3GrpbSkyOEtdtuEbgiZMiBlCGZmEyL25w8jxkTH
 LvrfbAPAvRlivgxBMR/S9yHcfwL6WoKTou7riZiev3Z1Xm3eKqtIaILpSFyM
 9n/3S3L4mx30HT4HgL0cgj8t+yVSbDu7jjz7UVBrap817A2dvRQ+sJYV1eb3
 /11v7zjgaOg4ATjTY+aNlWWx6dACr+0z/D+qbJz3X3iMG7qhJekvVgNl+j97
 TCQAAAAASUVORK5CYII=

## extcalllog 0.2

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = extcalllog
 PACKAGE = extcalllog
-VERSION = 0.1
+VERSION = 0.2
 
 SHELL = /bin/sh

=== debian/changelog ===
extcalllog (0.2) unstable; urgency=low

  * added UI to configure limit of calls show
  * Fixed issue with icon

 -- Thom Troy <ttroy50@gmail.com>  Thu, 18 Jan 2010 22:01:00 -0600
 

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: extcalllog
-Section: user/other
+Section: user/network
 Priority: optional
 Maintainer: Thom Troy <ttroy50@gmail.com>
 Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libgtk2.0-dev, libgconf2-dev,

## extcalllog 0.3

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = extcalllog
 PACKAGE = extcalllog
-VERSION = 0.2
+VERSION = 0.3
 
 SHELL = /bin/sh

=== debian/changelog ===
extcalllog (0.3) unstable; urgency=low

  * Added call type to filter by GSM, VoIP or all
  * Added default call type to settings
  * Added a done page to the settings wizard to improve UX
  * Changed uuencoded icon in control file to 48x48 image

 -- Thom Troy <ttroy50@gmail.com>  Thu, 20 Mar 2010 22:01:00 -0600
 

=== debian/control ===
Source: extcalllog
Section: user/network
Priority: optional
Maintainer: Thom Troy <ttroy50@gmail.com>
Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libgtk2.0-dev, libgconf2-dev,
               libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-glib-1-dev,  libhildonfm2-dev, osso-af-settings,
               libosso-dev, librtcom-eventlogger-dev, librtcom-eventlogger-ui-dev, libosso-abook-dev, maemo-optify
Standards-Version: 3.7.2

Package: extcalllog
Architecture: any
Depends: ${shlibs:Depends}
Description: View complete call history
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Extended%20Call%20Log
XB-Maemo-Display-Name: Extended Call Log
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBGhcWAQ9DOxYAAAbn
 SURBVGje7ZlrjF1VFcd/a+9z7msedzqdmbbTMqW0A53SaUdtpggtWrDVVmiC
 EkOUkBj4VERixFf0g3xQUINEPjQaFQQf0bag+KoUo7wCWKlFbGmLtaWP6TB9
 TKcz93XuOXsvP9ypUyLGQtuhJPNPTm6yk3P3+p2z9t7/tQ5M6E3KhDl6Pn27
 Wf2r53j/2pVn+nd2PGMXmMbiO9e2zF95x5WXL5gxkqQ/UcwvC+sKLzwdl4b9
 +Q0Q1Hfxvu883DJ36fJVy3u5aHpeF3dPk8EKS/v0XV1S6XuUwkF3fgLM/NBi
 em57eOqlV85bekWPZkIjqUAlGxoWd09lOA4u7dPOq6ib+Wtee7Z0fgFccuPN
 zFr94JQFH2yf0zlHA6OSshAYwVohZUUWdbVomMp17BpIXU/bFVs5sHH/+QBg
 mf+pu+hYdWfTvOUNk9umaspAGIgEVrAGjAGDIiJyyYVN2jW7rfmFncWP+ObF
 O+j7w663DyA3o5HOm+5h+qrPZGYtC4OGJgKjEloRaxgLXgERFPCqMimf03md
 bZmd++MbKvWL+rNHdvwtcSfGGSDMX0zXrQ/I1JU3hC292HSdqhWxo0/dGrAC
 IqCjW5MqJE6IHdLYmNE5s6ZI/3F77TE/d4ppbHpKj71UHR+AfPd7mffZ9TRc
 2RukezBhSsUiYgVvDVYUYwSRsVtUwSs4D7FXypGITad09px2qfjUooGBzGU0
 dDzCsc3Vcwsw7dp62q/5GeklC/CzEePAJIINVKwRb0CMQUQRagRuNPBk9Kom
 QiVWHeg/wbHBojTkGxgp+VnFaNIx+jY894a781kDqLs4wjRvwB0cgX24E4ll
 MFkYzlzZ7MNGxAjlWtIDilchSsBlYHIGMhZQGCrGsumR5yn1Hf4eoGRSQhhs
 /J/Hy1kD2H1PzILv30tSXAsiHLi/kZbVv/CRXyoVDwJOlDIWRajEyoJ2YeFU
 SIf/OakJVQiNQCq+DS07ymXlxc/ruQcwayzbD2VrWQ34gtLkRCsOn3KIKnhI
 WZict1wzX2jP19KI0fBEYLik+MRDkna8fMv/tRdnByB331eI4ttAx6yArBZK
 2uxLHu8crTOE+Z1Cz8WGrumCjqYR+nqzlLGg8eiiOB2HcsbB19/bi63/0i1f
 vi47rS0t3tUiisrDrFv3OHUdhps+XkfLJEM2DdbUgkflDd1eOgAfe4jdOAHg
 L6D1QvPtLzbJSGFsdGQ44ZlNQssFhvfMtUTVkwuYU37/K35yAWPb0rgABAay
 hv5BKFbGhgsjUI08gYHGDFStnI7dJme19vST8XoD1kDWMlSG8ikAxQq4qpIy
 kM9AZE6jXhDIBYrEbhxTKDCQtgyXoRyNDZciwSWKqCefg+g0ZhIgI4pWxzOF
 rMVmDCcqUIlOHW+gfXYbT/z+Rb6eK+O9Py2CnbuOUz5e2IpTHR+A0JLN1FKo
 etKtjE794U9+gPT6LTy2cRtDReHocY8moztQNJAQlbeiqeOvewX4A4i7i9Lt
 4wQQWNIZ4cQpACK1pTFYTJEsvIzBemVo0BPGDi07fMXgDjxaZuDPdzDw86fO
 aPozP4EppVPCUAm8G3OYu47WruMFIbFCugF8GTxgEFxgIDlaOtPp5S3dtWjd
 rUEq/Ja1Yp3zMrt7TtC9pFtS1NzlsRIUqxDFUKpCIVIKFSEqe7Tk8GWhuudx
 xVUSVGoHhBt+mpEd1/HPu4fP/RvQ8qTG1snZJVcvJJdLE6QCMlmIk5qZaMxC
 KoBiVEslEFQV54XEGcR5wqm94ktJ6IugyX6ID8yjtLsOeFMAb60e6P/TM+WG
 d9cfHnSXL1rUoa3NWdJWJRUKoYXAghmtuk6uaa+CR4hVwClKiPiUerdHiF4c
 ZO8DH+PwH7eNU1slUg79blOlrmfwXwejFfPnttnJTWkNDWKtYkQwphb5yYqr
 VnUpiRecFzSJSUZeFh16dg+b16ygfOiv49/Y6n9scyXbu+sfrxZWTp/SkL6o
 o14FEXOKyXSnlIzOQ6KiURRRPbxN/KHHNrHlcx8Fdr99rcX+jdvj7OzfbD/E
 jfV12UxnR14VFVWpBa7gHCReiZ1ouVRgaO9W8a/8ZD1//8ZNwOG3vzf62pOH
 Xdjw4La+ulWN+VzrrOl5VYTEqSQeYi/EXvTEcEH2bXte/fb772PHD24GovOn
 uXtkS4G2rl9u2129dCg2nZfMnISKJXYiiUf37huQHVueidwrD3+BnT/66tnr
 np1NHXxihMlzNhw8GudfPeIXd3dOkUSNbt1+QF76y5NVv/mb1/Pqbx96Z3wH
 uPrHd7fe/Gx1ydf2KMt+uJ+66b3vvI8ZK366hqse+i7tl/fwjlXzXMuEJjSh
 CU1oQhOa0ITOif4Nu6QP13IRCXIAAAAASUVORK5CYII=
 ====

## extcalllog 0.4

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = extcalllog
 PACKAGE = extcalllog
-VERSION = 0.3
+VERSION = 0.4
 
 SHELL = /bin/sh

=== debian/changelog ===
extcalllog (0.4) unstable; urgency=low

  * Added ability to filter by date
  * Allow -1 in the limit to show all calls
  * Show number in main list
  * Added notification to warn that load times can be long
  * Changed "Received" to "In" and "Dialled" to "Out" in filter
  * Fixed issue with filters caused by new rtcom-eventlogger library and database in PR1.2

 -- Thom Troy <ttroy50@gmail.com>  Tue, 25 May 2010 22:36:00 -0600
 

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Thom Troy <ttroy50@gmail.com>
 Build-Depends: debhelper (>= 5), libhildondesktop1-dev, libgtk2.0-dev, libgconf2-dev,
                libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-glib-1-dev,  libhildonfm2-dev, osso-af-settings,
-               libosso-dev, librtcom-eventlogger-dev, librtcom-eventlogger-ui-dev, libosso-abook-dev, maemo-optify
+               libosso-dev, librtcom-eventlogger-dev (>= 1.1), librtcom-eventlogger-plugins-dev (>= 1.0), 
+               libosso-abook-dev, libmcclient-dev (>= 5), libcityinfo-dev, libtime-dev, libosso-abook-dev (>= 4.20081010),
+               maemo-optify
 Standards-Version: 3.7.2
 
 Package: extcalllog

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
PACKAGENAME = extcalllog

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	test -e ./configure || ./autogen.sh 
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr
	touch configure-stamp

build: build-stamp

build-stamp:  configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 

	# Add here commands to clean up after the build process.
	mv debian/rules debian/rules.save
	-$(MAKE) distclean
	mv debian/rules.save debian/rules

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

    # Add here commands to install the package into debian/$(PACKAGENAME)
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGENAME) install
    

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## extcalllog 0.5

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = extcalllog
 PACKAGE = extcalllog
-VERSION = 0.4
+VERSION = 0.5
 
 SHELL = /bin/sh

=== debian/changelog ===
extcalllog (0.5) unstable; urgency=low

  * Add about box using he-about-dialog
  * bug 9649 - Add option to call back a GSM contact
  * Add option to open the contact card if the call is from a contact
  * Unknown numbers now displayed correctly in detailsWindow
  * Change how calls not from a contact display
  * bug 10550 - display a banner when a call is deleted
  * bug 10551 - close detailsWindow when that call is deleted
  * single tap will now open detailsWindow. No need for double click any more
  * display length of call if end-time db field in use (see trigger hack http://talk.maemo.org/showthread.php?t=42624)

 -- Thom Troy <ttroy50@gmail.com>  Tue, 13 Jun 2010 23:53:00 -0600
 

## extcalllog 0.6

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = extcalllog
 PACKAGE = extcalllog
-VERSION = 0.5
+VERSION = 0.6
 
 SHELL = /bin/sh

=== debian/changelog ===
extcalllog (0.6) unstable; urgency=low

  * bug 12102 - Search box input is not working on n900/Maemo5 
  * bug 12103 - Going up/down through a list of calls using Up/Down arrow keys on keyboard does not keep line in focus on screen 

 -- Thom Troy <ttroy50@gmail.com>  Tue, 1 Apr 2011 22:10:00 -0600
 
